Arbeiten mit Geomagic for SOLIDWORKS

Das Geomagic für SOLIDWORKS ist eine sehr leistungsfähige Applikation, um im SOLIDWORKS 3D-Scandaten zu verarbeiten. Leider findet man in der Beschreibung keinen Hinweis, wie man das effizienten mit SOLIDWORKS erledigen kann.

Wie das Funktioniert sehr Ihr in diesem Video

Strategie für das Arbeiten mit Cross-Sections

Eine Cross-Section erstellt eine Schnitt durch das Netz und erzeugt auf der Ebene an der geschnitten wird eine Skizze mit Linien, Kreisen und Bögen, die sich aus dem Schnitt zwischen dem Netz und der Ebene ergibt.

Diese Skizze lasst Ihr wie Sie vom System erzeugt wurde. Dann öffnet Ihr eine zweiter Skizze auf der selbe Eben. Die Skizze, die das Geomagic for SOLIDWORKS erstellt hat blendet Ihr ein. Nun könnt Ihr die Skizze mit SOLIDWORKS Geometrie nachzeichne. Dabei werden Ihr feststellen, dass SOLIDWORKS immer wieder auf die Skizzen-Elemente der Cross-Section fängt und die Endpunkte an dieser Geometrie „festnagelt“. Das könnt Ihr entweder vermeiden, wenn Ihr beim skizzieren die CTRL Taste gerückt haltet. Das hat aber den Nachteil, das auch keine Horizontal, Vertikal, etc Bedingungen aufgebaut erden.

Anpassung der Voreinstellungen

Einfacher geht es, wenn in den Voreinstellungen diese Option Modell-Geometriefangen abwählt. Mit diese Option wird verhindert, dass zwischen den Skizzen Bedingungen aufgebaut werden. Es werden aber immer noch die Beziehungen, wie gewohnt – Horizontal, Vertikal, senkrecht zu … automatisch erstellt.

Um das immer wieder an und ab zuwählen, müsst Ihr jedes Mal in die Voreinstellungen.

Das Makro

Nachfolgend findet Ihr ein Makro, dass zwischen den beiden Einstellungen hin und her schaltet. Wenn Ihr euch das Makro auf eine Tastenkombination oder auf eine Funktionstaste legt, wird das Arbeiten mit dem Geomagic for SOLIDWORKS richtig komfortabel. Das Makro schaltet bei jede Aufruf zwischen der Voreinstellung hin und her – an, aus, an aus …

Dim swApp As Object Dim Part As Object Dim boolstatus As Boolean Dim longstatus As Long, longwarnings As Long Dim swTextFormat As SldWorks.TextFormat Dim TextFormatObj As Object Dim ModelDocExtension As ModelDocExtension Sub ToggleCatchMode() Set swApp = Application.SldWorks Set Part = swApp.ActiveDoc Set ModelDocExtension = Part.Extension Dim state As Boolean state = swApp.GetUserPreferenceToggle(swUserPreferenceToggle_e.swSketchInferFromModel) state = Not state swApp.SetUserPreferenceToggle swUserPreferenceToggle_e.swSketchInferFromModel, state End Sub

Schreibe einen Kommentar